// 使用的接口  开始
//获取与管理老师关联的医院列表
export const getHospitalListByManage = (params) => {
	return uni.$u.http.get(`/info/hospital/teacher/simpleList`, {
		params: params,
	})
}

//查看护工列表
export const getNurseList = (params) => {
	return uni.$u.http.get(`/info/nursingWorker/list`, {
		params: params,
	})
}

//查看护工详情
export const getNurseDetail = (id) => {
	return uni.$u.http.get(`/info/nursingWorker/info/${id}`)
}

//新增护工信息
export const addNurseInfo = (data) => {
	return uni.$u.http.post(`/info/nursingWorker/add`, data)
}

//修改护工信息
export const updateNurseInfo = (data) => {
	return uni.$u.http.post(`/info/nursingWorker/edit`, data)
}

//获取护工工作台的信息
export const getNurseInfo = (params) => {
	return uni.$u.http.get(`/info/nursingWorker/workbench`, {
		params: params,
	})

}

//获取管理老师工作台信息
export const getManageInfo = (params) => {
	return uni.$u.http.get(`/info/managementTeacher/workbench`, {
		params: params,
	})

}


//查询管理老师订单列表
export const getManageOrderList = (params) => {
	return uni.$u.http.get(`/teacher/order/page`, {
		params: params,

	})

}

//分配护工
export const assignNurse = (data) => {
	return uni.$u.http.post(`/teacher/order/assignWorker`, data)

}

//获取科室列表
export const getDepartmentList = (params) => {
	return uni.$u.http.get(`/info/hospitalDepartment/list`, {
		params: params,
	})
}

//获取管理老师关联的科室列表
export const getDepartmentListByManage = (params) => {
	return uni.$u.http.get(`/info/hospitalDepartment/teacher/simpleList`, {
		params: params,

	})

}

///获取管理老师关联的科室订单统计
export const getDepartmentOrderCount = (params) => {
	return uni.$u.http.get(`/info/hospitalDepartment/teacher/statistics`, {
		params: params,
	})
}

//获取护工电话
export const getNursePhone = (id) => {
	return uni.$u.http.get(`/teacher/order/getWorkerPhone/${id}`)

}

//获取管理老师电话
export const getManagePhone = (id) => {
	return uni.$u.http.get(`/worker/order/getManagerPhone/${id}`)
}

//取消订单
export const cancelOrderManage = (id) => {
	return uni.$u.http.post(`/teacher/order/cancel/${id}`)

}

//获取管理老师订单详细信息
export const getOrderDetailManage = (id) => {
	return uni.$u.http.get(`/teacher/order/info/${id}`)
}

//获取护工订单详细信息
export const getOrderDetailNurse = (id) => {
	return uni.$u.http.get(`/worker/order/info/${id}`)
}

//开始服务
export const startService = (id) => {
	return uni.$u.http.post(`/worker/order/startService/${id}`)

}

//完成服务
export const finishService = (id) => {
	return uni.$u.http.post(`/worker/order/finishService/${id}`)

}

//护工订单
export const getNurseOrderList = (params) => {
	return uni.$u.http.get(`/worker/order/page`, {
		params: params,

	})
}

//新增售后订单
export const addAfterSaleOrder = (data) => {
	return uni.$u.http.post(`/orderRefund/add`, data)
}


//查询管理老师的售后订单列表
export const getAfterSaleOrderList = (params) => {
	return uni.$u.http.get(`/teacher/orderRefund/page`, {
		params: params,
	})
}

//同意或则拒绝售后订单
export const agreeOrRefuseAfterSaleOrder = (data) => {
	return uni.$u.http.post(`/teacher/orderRefund/agreeOrRefuse`, data)
}







// 使用的接口  结束